package cn.iocoder.yudao.module.chain.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 操作类型
 */
@Getter
@AllArgsConstructor
public enum OperateDetailTypeEnum implements IntArrayValuable {

    IMAGE(1, "图片"),
    VIDEO(2, "视频"),
    TEXT(3, "文本"),
    LONG_TEXT(4, "长文本"),
    NO_TITLE_TEXT(5, "无标文本"),
    NO_TITLE_LONG_TEXT(6, "无标长文本"),
    MAP(7, "地图"),
    BIG_IMAGE(8, "大图"),
    PDF(9, "PDF"),
    POINT_MAP(10, "地图坐标"),
    NO_TITLE_IMAGE(11, "无标图片"),
    NO_TITLE_BIG_IMAGE(12, "无标大图"),
    NO_TITLE_VIDEO(13, "无标视频"),
    NO_TITLE_MAP(14, "无标地图"),
    NO_TITLE_POINT_MAP(15, "无标地图坐标"),
    ;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(OperateDetailTypeEnum::getType).toArray();

    /**
     * 操作类型
     */
    private final Integer type;

    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
